<?php
use Bitrix\Main\Loader,
	Bitrix\Main\Localization\Loc,
	Bitrix\Sale\PaySystem;

Loc::loadMessages(__FILE__);

$request = \Bitrix\Main\Application::getInstance()->getContext()->getRequest();
$protocol = $request->isHttps() ? 'https://' : 'http://';

$description = [
	'MAIN' => 'Airbapay Acquiring',
];

$isAvailable = PaySystem\Manager::HANDLER_AVAILABLE_TRUE;

$arDbStatus = \Bitrix\Sale\Internals\StatusLangTable::getList([
	'filter' => [
		'=LID' => LANGUAGE_ID,
		'=STATUS.TYPE' => \Bitrix\Sale\Internals\StatusTable::TYPE_ORDER,
	]
])->fetchAll();
$arStatusList = array();
foreach ($arDbStatus as $arStatus) {
	$arStatusList[$arStatus['STATUS_ID']] = $arStatus['NAME'];
}

$data = [
	'NAME' => 'Airbapay Acquiring',
	'SORT' => 500,
	'IS_AVAILABLE' => $isAvailable,
	'CODES' => [
		'AIRBAPAY_ACQUIRING_TEST_MODE' => [
			'NAME' => 'Тестовый режим',
			'DESCRIPTION' => '',
			'SORT' => 90,
			'GROUP' => 'GENERAL_SETTINGS',
			'INPUT' => [
				'TYPE' => 'Y/N'
			],
		],
		'AIRBAPAY_ACQUIRING_USER' => [
			'NAME' => 'Имя пользователя',
			'DESCRIPTION' => '',
			'SORT' => 100,
			'GROUP' => 'GENERAL_SETTINGS',
		],
		'AIRBAPAY_ACQUIRING_PASSWORD' => [
			'NAME' => 'Пароль',
			'DESCRIPTION' => '',
			'SORT' => 100,
			'GROUP' => 'GENERAL_SETTINGS',
		],
		'AIRBAPAY_ACQUIRING_TERMINAL_ID' => [
			'NAME' => 'ID терминала',
			'DESCRIPTION' => '',
			'SORT' => 100,
			'GROUP' => 'GENERAL_SETTINGS',
		],
		'AIRBAPAY_ACQUIRING_AUTO_CHARGE' => [
			'NAME' => 'Автоматическое списание средств',
			'DESCRIPTION' => '',
			'SORT' => 90,
			'GROUP' => 'GENERAL_SETTINGS',
			'INPUT' => [
				'TYPE' => 'Y/N'
			],
		],
		'AIRBAPAY_ACQUIRING_FAILURE_BACK_URL' => [
			'NAME' => 'URL возврата в магазин при ошибке',
			'SORT' => 400,
			'GROUP' => 'Другое',
			'DEFAULT' => [
				'PROVIDER_VALUE' => $protocol.$request->getHttpHost().'/bitrix/tools/sale_ps_fail.php',
				'PROVIDER_KEY' => 'VALUE'
			]
		],
		'AIRBAPAY_ACQUIRING_SUCCESS_BACK_URL' => [
			'NAME' => 'URL возврата в магазин при успехе',
			'SORT' => 400,
			'GROUP' => 'Другое',
			'DEFAULT' => [
				'PROVIDER_VALUE' => $protocol.$request->getHttpHost().'/bitrix/tools/sale_ps_success.php',
				'PROVIDER_KEY' => 'VALUE'
			]
		],
		'AIRBAPAY_ACQUIRING_ORDER_STATUS_DEBITING_FUNDS' => [
			'NAME' => 'Статус заказа для списания денежных средств',
			'DESCRIPTION' => 'при условии использования auto_charge 0',
			'SORT' => 400,
			'GROUP' => 'Другое',
			'INPUT' => array(
                'TYPE' => 'ENUM',
                'OPTIONS' => $arStatusList
            )
		],
		// 'AIRBAPAY_ACQUIRING_SUCCESS_CALLBACK_URL' => [
		// 	'NAME' => 'URL вебхука при успехе',
		// 	'SORT' => 400,
		// 	'GROUP' => 'Другое',
		// 	'DEFAULT' => [
		// 		'PROVIDER_KEY' => 'VALUE',
		// 		'PROVIDER_VALUE' => $protocol.$request->getHttpHost().'/bitrix/tools/sale_ps_result.php',
		// 	],
		// ],
		// 'AIRBAPAY_ACQUIRING_FAILURE_CALLBACK_URL' => [
		// 	'NAME' => 'URL вебхука при ошибке',
		// 	'SORT' => 400,
		// 	'GROUP' => 'Другое',
		// 	'DEFAULT' => [
		// 		'PROVIDER_KEY' => 'VALUE',
		// 		'PROVIDER_VALUE' => $protocol.$request->getHttpHost().'/bitrix/tools/sale_ps_result.php',
		// 	],
		// ],
	]
];