<?php
namespace Airbapay\Acquiring;

use Bitrix\Main;

/**
 */
class OrderTable extends Main\Entity\DataManager
{
	/**
	 * Returns DB table name for entity.
	 *
	 * @return string
	 */
	public static function getTableName()
	{
		return 'airbapay_acquiring_order';
	}

	/**
	 * Returns entity map definition.
	 *
	 * @return array
	 */
	public static function getMap()
	{
		return array(
			'ID' => new Main\Entity\IntegerField('ID', array(
				'primary' => true,
				'autocomplete' => true,
				'title' => 'ID'
			)),
            'ORDER_ID' => new Main\Entity\IntegerField('ORDER_ID', array(
                'required' => true,
			)),
            'PAYMENT_ID' => new Main\Entity\IntegerField('PAYMENT_ID', array(
                'required' => true,
			)),
            'GENERATED_ORDER_ID' => new Main\Entity\StringField('GENERATED_ORDER_ID', array(
                'required' => true,
                'unique' => true,
            )),
            'AIRBAPAY_ID' => new Main\Entity\StringField('AIRBAPAY_ID', array(
                'required' => true,
            )),
            'AIRBAPAY_INVOICE_ID' => new Main\Entity\StringField('AIRBAPAY_INVOICE_ID', array(
                'required' => true,
            )),
			'STATUS' => new Main\Entity\StringField('STATUS', array(
                
            )),
            'CREATED_AT' => new Main\Entity\DatetimeField('CREATED_AT', array(
				'default_value' => function(){ return new Main\Type\DateTime(); },
			)),
		);
	}
}